<template>
  <div
    v-if="props.menu === 'left' || props.menu === 'right'"
    class="grid grid-cols-12 gap-10 place-content-between"
  >
    <div
      :class="{
        'col-span-2': props.menu === 'left',
        'col-span-10': props.menu === 'right',
      }"
    >
      <slot name="left-side"></slot>
    </div>
    <div
      :class="{
        'col-span-10': props.menu === 'left',
        'col-span-2': props.menu === 'right',
      }"
    >
      <slot name="right-side"></slot>
    </div>
  </div>
  <div v-else-if="props.menu === 'top'">
    <slot name="category"></slot>
    <slot name="content"></slot>
  </div>
  <div v-else>
    <slot name="default"></slot>
  </div>
</template>

<script setup lang="ts">
const props = defineProps({
  menu: {
    type: String,
    default: "left",
  },
});
</script>
